=== debian/changelog ===
subproject-howto (0.5.1) unstable; urgency=low

  * Brown paper bag time.
  * Fix forgotten doc-base control file (Closes: #180687)
  * Make structure of doc dir a bit more reasonable.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 12 Feb 2003 08:09:22 -0400

subproject-howto (0.5) unstable; urgency=low

  * Initial release.  (Closes: #145555)
  * Releasing as 0.5 reflecting incompleteness of the document.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  3 Mar 2002 15:41:18 -0400
