=== debian/control ===
Source: subproject-howto
Section: doc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Standards-Version: 3.5.6
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra

Package: subproject-howto
Architecture: all
Suggests: www-browser, postscript-viewer
Description: Debian Subproject HOWTO
 Based on his experiences starting and sustaining a development
 subproject within Debian, the author explains how to start one,
 and why subprojects are important to the vitality and quality
 of Debian.
