=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/subproject-howto

build: stamp-build
stamp-build:
	test -d subproject-howto -a -f debian/rules
	cd subproject-howto && $(MAKE) html txt ps
	cd subproject-howto && gzip -9 subproject-howto.txt subproject-howto.ps
	touch $@

clean:
	test -d subproject-howto -a -f debian/rules
	test "`id -u`" -eq 0
	cd subproject-howto && $(MAKE) clean
	rm -rf $(tmp)
	rm -f subproject-howto/*.gz stamp-build debian/files `find . -name "*~"`

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d subproject-howto -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir) $(docdir)/html \
          $(tmp)/usr/share/doc-base
	cd subproject-howto && install -m 644 \
	  subproject-howto.html/* \
	  $(docdir)/html
	cd subproject-howto && install -m 644 \
	  subproject-howto.txt.gz \
	  subproject-howto.ps.gz \
	  $(docdir)

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(docdir)
	gzip -c9 debian/changelog > $(docdir)/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# If we were including the subproject-howto in ftp/doc, we would do the
# following, similar to doc-debian.  But while the project is still
# immature, we will not upload these materials.  If this is ever
# enabled, it needs to be OK'd by ftpmaster@d.o
#
# The extra-package files:
#	cd subproject-howto/subproject-howto.html && GZIP=-9 tar czf ../../../subproject-howto.html.tar.gz *
#	cp subproject-howto/subproject-howto.txt.gz subproject-howto/subproject-howto.ps.gz ../
#	dpkg-distaddfile subproject-howto.html.tar.gz byhand -
#	dpkg-distaddfile subproject-howto.txt.gz byhand -
#	dpkg-distaddfile subproject-howto.ps.gz byhand -

.PHONY: build clean binary binary-arch binary-indep
